<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelitem library
jimport('joomla.application.component.modelitem');
jimport('joomla.registry.registry');
/**
 * PhpView Model
 */

class PhpBridgeModelPhpView extends JModelItem
{
    /**
     * @var string msg
     */
    protected $html;

    /**
     * Get the message
     * @return string The message to be displayed to the user
     */
    public function getHtml()
    {

        $app = JFactory::getApplication();
        $document = JFactory::getDocument();
        $input = new JInput();

        $params = JComponentHelper::getParams($input->get('option'));

        $c_run = $input->get('run','');
        $c_mode = $input->get('mode','');
        $c_data = $input->get('data','');

        $tempmodul= new Schorradt\phpmodul($c_run, $c_mode, $c_data);
        $tempmodul->init($params);
        $this->html = $tempmodul->runScript();

        return $this->html;
    }

    /**
     * Method to auto-populate the model state.
     *
     * Note. Calling getState in this method will result in recursion.
     *
     * @since	1.6
     */
    protected function populateState()
    {
        $input = JFactory::getApplication()->input;

        $basename = $input->cookie->getString(JApplicationHelper::getHash($this->_context . '.basename'), '__SITE__');
        $this->setState('basename', $basename);

        $compressed = $input->cookie->getInt(JApplicationHelper::getHash($this->_context . '.compressed'), 1);
        $this->setState('compressed', $compressed);
    }

    /**
     * Get the message
     * @return object The message to be displayed to the user
     */
    public function getItem()
    {
        if ($this->_item === null)
        {
            $this->_item = false;
            if($params = $this->getState('params')) {
                $this->_item = $params; //Joomla\Utilities\ArrayHelper::toObject($params, 'JObject');
            }
        }
        return $this->_item;
    }

}